Bug 981807 - Review Request: nodejs-mapnik - Bindings to Mapnik tile rendering library for Node.js
Review Request: nodejs-mapnik - Bindings to Mapnik tile rendering library for...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On: 981806
Blocks: nodejs-reviews 981812
  Show dependency treegraph
 
Reported: 2013-07-05 17:33 EDT by Tom Hughes
Modified: 2013-07-12 19:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 19:36:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamielinux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2013-07-05 17:33:04 EDT
Spec URL: http://download.compton.nu/nodejs/nodejs-mapnik.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-mapnik-1.0.0-1.fc19.src.rpm
Fedora Account System Username: tomh

Description:
Bindings to Mapnik tile rendering library for Node.js
Comment 1 Jamie Nguyen 2013-07-06 10:23:04 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 50 files have
     unknown license. Detailed output of licensecheck in
     /home/mockbuild/review/nodejs-mapnik/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-mapnik-1.0.0-1.fc20.x86_64.rpm
nodejs-mapnik.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-mapnik.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-mapnik.x86_64: W: dangling-symlink /usr/lib/node_modules/mapnik/node_modules/mapnik-vector-tile /usr/lib/node_modules/mapnik-vector-tile
nodejs-mapnik.x86_64: W: no-manual-page-for-binary mapnik-render
nodejs-mapnik.x86_64: W: no-manual-page-for-binary mapnik-inspect
1 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-mapnik
nodejs-mapnik.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-mapnik.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-mapnik.x86_64: W: dangling-symlink /usr/lib/node_modules/mapnik/node_modules/mapnik-vector-tile /usr/lib/node_modules/mapnik-vector-tile
nodejs-mapnik.x86_64: W: no-manual-page-for-binary mapnik-render
nodejs-mapnik.x86_64: W: no-manual-page-for-binary mapnik-inspect
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-mapnik (rpmlib, GLIBC filtered):
    /usr/bin/env
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmapnik.so.2.2()(64bit)
    libprotobuf-lite.so.8()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    nodejs(abi)
    nodejs(engine)
    nodejs(v8-abi)
    npm(mapnik-vector-tile)
    rtld(GNU_HASH)



Provides
--------
nodejs-mapnik:
    nodejs-mapnik
    nodejs-mapnik(x86-64)
    npm(mapnik)



Source checksums
----------------
http://registry.npmjs.org/mapnik/-/mapnik-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : d6f7ecd0506d62991d1b54d262e88ca7d45d234edccda2da3b28785ef79d1432
  CHECKSUM(SHA256) upstream package : d6f7ecd0506d62991d1b54d262e88ca7d45d234edccda2da3b28785ef79d1432


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-mapnik-1.0.0-1.fc19.src.rpm
Comment 2 Jamie Nguyen 2013-07-06 10:24:06 EDT
You might consider adding man pages for mapnik-render and mapnik-instpect, and change the BR from nodejs-mapnik-vector-tile to npm(mapnik-vector-tile), but otherwise package approved!
Comment 3 Tom Hughes 2013-07-06 10:55:20 EDT
New Package SCM Request
=======================
Package Name: nodejs-mapnik
Short Description: Bindings to Mapnik tile rendering library for Node.js
Owners: tomh jamielinux
Branches:
InitialCC:
Comment 4 Gwyn Ciesla 2013-07-06 18:36:54 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.